Bug 39056 - fast/forms/implicit-submission.html is flakey
: fast/forms/implicit-submission.html is flakey
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Tools / Tests
: 528+ (Nightly build)
: PC Linux
: P2 Normal
Assigned To: Dimitri Glazkov (Google)
:
Depends on: 9756
Blocks: 39021
  Show dependency treegraph
 
Reported: 2010-05-13 05:07 PDT by Takeshi Yoshino
Modified: 2012-04-10 19:07 PDT (History)
5 users (show)

See Also:


Attachments
Proposed patch - revision 0 (1.15 KB, patch)
2010-05-13 05:09 PDT, Takeshi Yoshino
no flags Details | Formatted Diff | Diff
Patch (4.88 KB, patch)
2012-04-06 16:13 PDT, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff
Make it work without DRT. (4.95 KB, patch)
2012-04-06 16:16 PDT, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Takeshi Yoshino 2010-05-13 05:07:21 PDT
I'd like to update test_expectations.txt for fast/forms/implicit-submission.html on Chromium

http://code.google.com/p/chromium/issues/detail?id=43890
Comment 1 Takeshi Yoshino 2010-05-13 05:09:20 PDT
Created attachment 55963 [details]
Proposed patch - revision 0
Comment 2 Shinichiro Hamaji 2010-05-13 05:10:48 PDT
Comment on attachment 55963 [details]
Proposed patch - revision 0

Rubber stamping
Comment 3 Takeshi Yoshino 2010-05-13 05:20:27 PDT
Thank you for quick work.
Comment 4 WebKit Commit Bot 2010-05-15 17:02:05 PDT
Comment on attachment 55963 [details]
Proposed patch - revision 0

Rejecting patch 55963 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Shinichiro Hamaji', u'--force']" exit_code: 1
Last 500 characters of output:
eded at 1 with fuzz 3.
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: platform/chromium/test_expectations.txt
|===================================================================
|--- platform/chromium/test_expectations.txt	(revision 59170)
|+++ platform/chromium/test_expectations.txt	(working copy)
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored

Full output: http://webkit-commit-queue.appspot.com/results/2293130
Comment 5 Adam Barth 2010-05-15 17:46:44 PDT
Looks like this was landed already.

Note: the patch was incorrectly based in LayoutTests instead of the root.  Please generate patches with webkit-patch or with svn-create-patch to make sure they're correctly based.
Comment 6 Dimitri Glazkov (Google) 2010-05-15 19:57:53 PDT
:(

I didn't expect this test to be flakey. I wrote it, btw. Hijacking this bug to fix.
Comment 7 Takeshi Yoshino 2010-05-16 23:36:09 PDT
(In reply to comment #5)
> Looks like this was landed already.
> Note: the patch was incorrectly based in LayoutTests instead of the root.  Please generate patches with webkit-patch or with svn-create-patch to make sure they're correctly based.

Sorry for that. I'll do so from the next time. Thank you.
Comment 8 Eric Seidel 2010-05-17 00:48:50 PDT
Comment on attachment 55963 [details]
Proposed patch - revision 0

Obsoleting patch since it was landed.
Comment 9 Dimitri Glazkov (Google) 2012-04-06 16:13:13 PDT
Created attachment 136087 [details]
Patch
Comment 10 Dimitri Glazkov (Google) 2012-04-06 16:16:42 PDT
Created attachment 136091 [details]
Make it work without DRT.
Comment 11 Hajime Morrita 2012-04-10 18:12:39 PDT
Comment on attachment 136091 [details]
Make it work without DRT.

View in context: https://bugs.webkit.org/attachment.cgi?id=136091&action=review

> LayoutTests/fast/forms/implicit-submission.html:134
> +        arena.appendChild(a);

You are using global-variable-by-id!
Comment 12 WebKit Review Bot 2012-04-10 19:07:49 PDT
Comment on attachment 136091 [details]
Make it work without DRT.

Clearing flags on attachment: 136091

Committed r113808: <http://trac.webkit.org/changeset/113808>
Comment 13 WebKit Review Bot 2012-04-10 19:07:54 PDT
All reviewed patches have been landed.  Closing bug.